Before You Begin

  • Chronicle 3 - Rise of Darkness can be run only with DirectX 9.0c version or above. If a version lower than this was installed, please download the higher version from the site below and install it.
  • MSN 7.0 version or above should be installed in order to utilize all the MSN functions normally in the game (basic features still function without installing MSN 7.0).

Download DirectX 9.0c